Bug 968125 - Performance problem in FileSystemStore.openAndLock
Performance problem in FileSystemStore.openAndLock
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.1.1
Assigned To: tom.jenkinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 23:09 EDT by James Livingston
Modified: 2016-02-21 19:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The transaction file system store would attempt to re-create the directory hierarchy whenever the file did not exist, regardless of whether the directories did. Consequence: Performance could be degraded if the files did not exist but the directory structure did, which is often the case. Fix: The creation of the store's directory structure is only attempted if the parent directory does not exist. Result: Performance is improved.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:25:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-1712 Major Closed perf problem in FileSystemStore.openAndLock 2016-12-27 19:10 EST
Red Hat Knowledge Base (Solution) 381233 None None None Never

  None (edit)
Description James Livingston 2013-05-28 23:09:28 EDT
The transaction manager may perform expensive work which has no effect when the log file does not exist but the hierarchy does.

The fix is at https://source.jboss.org/changelog/Narayana?cs=327461a3a8dae50e6621c0a560807bd482d26c3d and should be able to be easily backported
Comment 1 Carlo de Wolf 2013-06-07 03:54:07 EDT
Do not set to MODIFIED. It means the fix has made it onto the 6.1.x branch.
Needs a PR to move to POST.
Comment 2 tom.jenkinson 2013-07-18 16:51:48 EDT
PR over here: https://github.com/jbossas/jboss-eap/pull/245
Comment 3 Paul Gier 2013-08-27 10:25:12 EDT
JBossTS/Narayana updated to 4.17.7 in 6.1.1 ER4
Comment 4 Ondrej Chaloupka 2013-08-29 05:26:02 EDT
Verified existence of the patch under 6.1.1.ER7

Note You need to log in before you can comment on or make changes to this bug.